api.voa.delivery
Início
Início
  1. v1
  • Introduction
  • Authentication
  • Rate limit
  • Endpoints
    • v1
      • external-orders
        POST
      • external-orders/{id}/ready
        POST
  • Webhook
    • How does it work?
    • status_changed
    • tracking_url_added
    • delivery_requested
  1. v1

external-orders

POST
https://api.voa.delivery/v1/external-orders

Requisição

Parâmetros de Consulta

Parâmetros Bodyapplication/json

Examples

Respostas

🟢201/v1/external-orders
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://api.voa.delivery/v1/external-orders?key={{key}}&token={{token}}' \
--header 'Content-Type: application/json' \
--data '{
  "external_id": "237910102020",
  "display_id": "2379",
  "customer": {
    "name": "João da Silva",
    "phone": "48911112222"
  },
  "address": {
    "country": "BR",
    "state": "SC",
    "city": "São José",
    "neighborhood": "Campinas",
    "street": "Rua Professora Maria do Carmo de Souza",
    "number": "600",
    "zip_code": "88132600",
    "complement": "Apto 1405",
    "coordinates": {
      "latitude": -27.597756,
      "longitude": -48.610153
    }
  },
  "payment": {
    "prepaid": 2350,
    "pending": 5050,
    "methods": [
      {
        "value": 2350,
        "method": "CARD",
        "type": "ONLINE"
      },
      {
        "value": 5050,
        "method": "CASH",
        "type": "OFFLINE",
        "cash": {
          "change_for": 10000
        }
      }
    ]
  },
  "items": [
    {
      "description": "X-Burger",
      "quantity": 2,
      "notes": "sem cebola",
      "sub_items": [
        {
          "description": "Batata frita",
          "quantity": 1
        },
        {
          "description": "Coca-Cola Lata",
          "quantity": 2
        }
      ]
    },
    {
      "description": "Pizza Calabresa",
      "quantity": 1,
      "notes": "borda recheada"
    }
  ],
  "extras": {
    "origin": "ifood",
    "localizer": "68058813",
    "central": "08007054050",
    "order_id": "fd77e2e5-09a6-4d98-aaed-1af08277416a"
  },
  "external_data": {},
  "delivery_time": "2026-07-08T18:30:00Z"
}'
Response Response Example
{
    "id": "624745adc97eab807f39718a"
}
Modificado em 2026-07-08 19:00:31
Página anterior
Rate limit
Próxima página
external-orders/{id}/ready
Built with